SFX OpenUrl request
Service description
Takes citation metadata and returns information on Cambridge ejournal holdings. The programatic analogy of
Sample query (opens in a new window)
http://www.lib.cam.ac.uk/api/sfx/sfxOpenURLRequest.php?issn=&year=&volume=&issue=&doi=%2F10.1007%2FBF00208310&format=xml
Request parameters
(View all options here.)
Compulsory:
- issn - ISSN of the required journal, e-issns are prefered
- or doi - DOI for an article
- format - chosen format of response in either xml, json or html
Optional:
- year - year of the required article or journal coverage, in 4 digits
- volume - volume of the required article or journal issue
- issue - issue of the required article or journal issue
Response
- ctx_obj_set->ctx_obj_targets->target->service_type == getFullTxt indicates full text is available
- ctx_obj_set->ctx_obj_targets->target->target_url returns a URL if full text is available
Other notes
Based upon the SFX full OpenURL API, with an additional wrapper to provide json and html output.